> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/input/analogbutton.md).

# AnalogButton

### Introduction

The AnalogButton class is used for hardware which can report a single value, typically between 0 and 1. The most common example of an analog button is the trigger buttons on the Xbox360GamePad.

### Example Code

The following shows how to use the right trigger on an Xbox360GamePad to assign the movement speed of a SpaceShip entity:

```lang:c#
// This code assumes there is a SpaceShipInstance with a Throttle property
var gamePad = InputManager.Xbox360GamePads[0];
SpaceShipInstance.Throttle = gamePad.RightTrigger.Position;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/input/analogbutton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
